From 3774c418b967878081799b0c500cda4bf94a7049 Mon Sep 17 00:00:00 2001
From: "Bryn M. Reeves" <bmr@redhat.com>
Date: Fri, 4 Jul 2014 18:38:45 +0100
Subject: [PATCH] [activemq] backport new plugin from upstream

---
 sos/plugins/activemq.py | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)
 create mode 100644 sos/plugins/activemq.py

diff --git a/sos/plugins/activemq.py b/sos/plugins/activemq.py
new file mode 100644
index 0000000..f3bb63f
--- /dev/null
+++ b/sos/plugins/activemq.py
@@ -0,0 +1,27 @@
+## Copyright (C) 2014 Red Hat, Inc., Bryn M. Reeves <bmr@redhat.com>
+### This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+import sos.plugintools
+
+class activemq(sos.plugintools.PluginBase):
+    """ActiveMQ related information
+    """
+
+    packages = ('activemq', 'activemq-core')
+    files = ('/var/log/activemq',)
+
+    def setup(self):
+        self.addCopySpecs(list(self.files))
+
-- 
1.9.3

